﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DuplexCalcProgram.DuplexCalcServiceRef {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="DuplexCalcServiceRef.IDuplexCalc", CallbackContract=typeof(DuplexCalcProgram.DuplexCalcServiceRef.IDuplexCalcCallback), SessionMode=System.ServiceModel.SessionMode.Required)]
    public interface IDuplexCalc {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/Wyczysc", ReplyAction="http://tempuri.org/IDuplexCalc/WyczyscResponse")]
        void Wyczysc();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/Wyczysc", ReplyAction="http://tempuri.org/IDuplexCalc/WyczyscResponse")]
        System.Threading.Tasks.Task WyczyscAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/AddTo", ReplyAction="http://tempuri.org/IDuplexCalc/AddToResponse")]
        void AddTo(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/AddTo", ReplyAction="http://tempuri.org/IDuplexCalc/AddToResponse")]
        System.Threading.Tasks.Task AddToAsync(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/SubtractFrom", ReplyAction="http://tempuri.org/IDuplexCalc/SubtractFromResponse")]
        void SubtractFrom(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/SubtractFrom", ReplyAction="http://tempuri.org/IDuplexCalc/SubtractFromResponse")]
        System.Threading.Tasks.Task SubtractFromAsync(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/MultiplyBy", ReplyAction="http://tempuri.org/IDuplexCalc/MultiplyByResponse")]
        void MultiplyBy(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/MultiplyBy", ReplyAction="http://tempuri.org/IDuplexCalc/MultiplyByResponse")]
        System.Threading.Tasks.Task MultiplyByAsync(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/DivideBy", ReplyAction="http://tempuri.org/IDuplexCalc/DivideByResponse")]
        void DivideBy(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/DivideBy", ReplyAction="http://tempuri.org/IDuplexCalc/DivideByResponse")]
        System.Threading.Tasks.Task DivideByAsync(double n1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/licznikStop", ReplyAction="http://tempuri.org/IDuplexCalc/licznikStopResponse")]
        void licznikStop();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDuplexCalc/licznikStop", ReplyAction="http://tempuri.org/IDuplexCalc/licznikStopResponse")]
        System.Threading.Tasks.Task licznikStopAsync();
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IDuplexCalcCallback {
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IDuplexCalc/Wynik")]
        void Wynik(double result);
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IDuplexCalc/Rownanie")]
        void Rownanie(string eqn);
        
        [System.ServiceModel.OperationContractAttribute(IsOneWay=true, Action="http://tempuri.org/IDuplexCalc/Timer")]
        void Timer(int t);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IDuplexCalcChannel : DuplexCalcProgram.DuplexCalcServiceRef.IDuplexCalc, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class DuplexCalcClient : System.ServiceModel.DuplexClientBase<DuplexCalcProgram.DuplexCalcServiceRef.IDuplexCalc>, DuplexCalcProgram.DuplexCalcServiceRef.IDuplexCalc {
        
        public DuplexCalcClient(System.ServiceModel.InstanceContext callbackInstance) : 
                base(callbackInstance) {
        }
        
        public DuplexCalcClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName) : 
                base(callbackInstance, endpointConfigurationName) {
        }
        
        public DuplexCalcClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName, string remoteAddress) : 
                base(callbackInstance, endpointConfigurationName, remoteAddress) {
        }
        
        public DuplexCalcClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(callbackInstance, endpointConfigurationName, remoteAddress) {
        }
        
        public DuplexCalcClient(System.ServiceModel.InstanceContext callbackInstance, System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(callbackInstance, binding, remoteAddress) {
        }
        
        public void Wyczysc() {
            base.Channel.Wyczysc();
        }
        
        public System.Threading.Tasks.Task WyczyscAsync() {
            return base.Channel.WyczyscAsync();
        }
        
        public void AddTo(double n1) {
            base.Channel.AddTo(n1);
        }
        
        public System.Threading.Tasks.Task AddToAsync(double n1) {
            return base.Channel.AddToAsync(n1);
        }
        
        public void SubtractFrom(double n1) {
            base.Channel.SubtractFrom(n1);
        }
        
        public System.Threading.Tasks.Task SubtractFromAsync(double n1) {
            return base.Channel.SubtractFromAsync(n1);
        }
        
        public void MultiplyBy(double n1) {
            base.Channel.MultiplyBy(n1);
        }
        
        public System.Threading.Tasks.Task MultiplyByAsync(double n1) {
            return base.Channel.MultiplyByAsync(n1);
        }
        
        public void DivideBy(double n1) {
            base.Channel.DivideBy(n1);
        }
        
        public System.Threading.Tasks.Task DivideByAsync(double n1) {
            return base.Channel.DivideByAsync(n1);
        }
        
        public void licznikStop() {
            base.Channel.licznikStop();
        }
        
        public System.Threading.Tasks.Task licznikStopAsync() {
            return base.Channel.licznikStopAsync();
        }
    }
}
